package cl.jtv;


//Title:        Proyecto Turing Visual

//Version:      

//Copyright:    Copyright (c) 1998

//Author:       Marco Antonio Mora Godoy

//Company:      Your Company

//Description:  No admires, CREA!!!!...





import java.util.*;



class CaracterSigma {



  public static int contador;

  public static Hashtable listaSigma;

  private int indiceSigma;

  public char valor;

  public boolean habilitado;



  public CaracterSigma(boolean hab) {



     indiceSigma = ++contador;

     if((habilitado = hab))

     listaSigma.put(nombre(),this);

     //habilitado = hab;

  }



  static{

    contador = 0;

    listaSigma = new Hashtable();

  }



  public String nombre(){

    if(habilitado)

       return "[s" + indiceSigma + "]";

    return "";

  }

}